hdf.view

## Class DataViewFactory

- Object
- - hdf.view.DataViewFactory

-     public abstract class DataViewFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataViewFactory()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract hdf.view.ImageView.ImageView` | `getImageView(ViewManager viewer, HashMap dataPropertiesMap)`
    `abstract hdf.view.MetaDataView.MetaDataView` | `getMetaDataView(org.eclipse.swt.widgets.Composite parentObj, ViewManager viewer, HObject theObj)`
    `abstract hdf.view.PaletteView.PaletteView` | `getPaletteView(org.eclipse.swt.widgets.Shell parent, ViewManager viewer, hdf.view.ImageView.ImageView theImageView)`
    `abstract hdf.view.TableView.TableView` | `getTableView(ViewManager viewer, HashMap dataPropertiesMap)`
    `abstract hdf.view.TreeView.TreeView` | `getTreeView(org.eclipse.swt.widgets.Composite parent, ViewManager viewer)`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataViewFactory

          public DataViewFactory()

  - ### Method Detail

    - #### getTableView

          public abstract hdf.view.TableView.TableView getTableView(ViewManager viewer,
                                                                    HashMap dataPropertiesMap)
                                                             throws ClassNotFoundException

      Throws:
        `ClassNotFoundException`

    - #### getImageView

          public abstract hdf.view.ImageView.ImageView getImageView(ViewManager viewer,
                                                                    HashMap dataPropertiesMap)
                                                             throws ClassNotFoundException

      Throws:
        `ClassNotFoundException`

    - #### getPaletteView

          public abstract hdf.view.PaletteView.PaletteView getPaletteView(org.eclipse.swt.widgets.Shell parent,
                                                                          ViewManager viewer,
                                                                          hdf.view.ImageView.ImageView theImageView)
                                                                   throws ClassNotFoundException

      Throws:
        `ClassNotFoundException`

    - #### getMetaDataView

          public abstract hdf.view.MetaDataView.MetaDataView getMetaDataView(org.eclipse.swt.widgets.Composite parentObj,
                                                                             ViewManager viewer,
                                                                             HObject theObj)
                                                                      throws ClassNotFoundException

      Throws:
        `ClassNotFoundException`

    - #### getTreeView

          public abstract hdf.view.TreeView.TreeView getTreeView(org.eclipse.swt.widgets.Composite parent,
                                                                 ViewManager viewer)
                                                          throws ClassNotFoundException

      Throws:
        `ClassNotFoundException`

Copyright © 2018. All Rights Reserved.